package com.bocloud.cmp.provider.jumpserver;

import com.bocloud.cmp.model.jumpserver.ResourceGroup;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

import java.util.List;

public interface ResourceGroupProvider extends SuperProvider {
    default BocloudResult list() {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult create(ResourceGroup resourceGroup) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult modify(ResourceGroup resourceGroup) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult unRelate(Long groupId, List<Long> deviceIds) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult detail(ResourceGroup resourceGroup) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult relate(Long groupId, List<Long> deviceIds) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult delete(Long groupId) {
        return new BocloudResult(false, "need implement");
    }

    default BocloudResult getByName(String name) {
        return new BocloudResult(false, "need implement");
    }
}
